/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/
#ifndef BLE_PROCESS_H
#define BLE_PROCESS_H


/*****************************************************************************
* Included headers
*****************************************************************************/
#include <project.h>
#include "stdbool.h"

/*****************************************************************************
* Macros 
*****************************************************************************/


#define TIME_SERVICE_INDEX              CYBLE_TIME_SERVICE_INDEX   // (0x03u) /* Index of Time service in the cyBle_customs array */
#define TIME_SERVICE_HANDLE             CYBLE_TIME_SERVICE_HANDLE  //  (0x0024u) /* Handle of Time service */
#define CURRENTTIME_INDEX               CYBLE_TIME_CURRENTTIME_CHAR_INDEX   // (0x00u) /* Index of CurrentTime characteristic */
#define CURRENTTIME_HANDLE              CYBLE_TIME_CURRENTTIME_CHAR_HANDLE  //  (0x0026u) /* Handle of CurrentTime characteristic */
#define ALARMTIME_INDEX                 CYBLE_TIME_ALARMTIME_CHAR_INDEX   // (0x01u) /* Index of AlarmTime characteristic */
#define ALARMTIME_HANDLE                CYBLE_TIME_ALARMTIME_CHAR_HANDLE  //  (0x0028u) /* Handle of AlarmTime characteristic */

#define TIME_INDEX_YEAR                 (0u)
#define TIME_INDEX_MONTH                (1u)
#define TIME_INDEX_DAY                  (2u)
#define TIME_INDEX_DAYOFTHEWEEK         (3u)
#define TIME_INDEX_HOUR                 (4u)
#define TIME_INDEX_MINUTE               (5u)
#define TIME_INDEX_SECOND               (6u)
#define TIME_INDEX_ADJUSTMENTFLAGS      (7u)
#define TIME_INDEX_LASTSYNC             (8u)

#define ALARM_INDEX_DAY                  (0u)
#define ALARM_INDEX_HOUR                 (1u)
#define ALARM_INDEX_MINUTE               (2u)
#define ALARM_INDEX_SECOND               (3u)
#define ALARM_INDEX_REPETITIONS          (4u)

   
#define POWER_SERVICE_INDEX             CYBLE_SOLARPOWER_SERVICE_INDEX   // (0x02u) /* Index of SolarPower service in the cyBle_customs array */
#define POWER_SERVICE_HANDLE            CYBLE_SOLARPOWER_SERVICE_HANDLE   // (0x0017u) /* Handle of SolarPower service */    

    
#define SOLARPOWER_VOLTAGE_INDEX   (0x00u) /* Index of Voltage characteristic */
#define SOLARPOWER_CURRENT_INDEX   (0x01u) /* Index of Current characteristic */
  

#define TEMPERATURE_SERVICE_INDEX       CYBLE_TEMPERATURE_SERVICE_INDEX   // (0x03u) /* Index of Temperature service in the cyBle_customs array */
#define TEMPERATURE_SERVICE_HANDLE      CYBLE_TEMPERATURE_SERVICE_HANDLE  // (0x001Cu) /* Handle of Temperature service
    
#define TEMPERATURE_SENSORCOUNT_INDEX   (0x00u) /* Index of SensorCount characteristic */
#define TEMPERATURE_SENSOR_01_INDEX   (0x01u) /* Index of Sensor_01 characteristic */
#define TEMPERATURE_SENSOR_02_INDEX   (0x02u) /* Index of Sensor_02 characteristic */
#define TEMPERATURE_SENSOR_03_INDEX   (0x03u) /* Index of Sensor_03 characteristic */
#define TEMPERATURE_SENSOR_04_INDEX   (0x04u) /* Index of Sensor_04 characteristic */

#define RELAYCONTROLTIMED_SERVICE_INDEX CYBLE_RELAYCONTROLTIMED_SERVICE_INDEX  // (0x05u) /* Index of RelayControlTimed service in the cyBle_customs array */
#define RELAYCONTROLTIMED_SERVICE_HANDLE CYBLE_RELAYCONTROLTIMED_SERVICE_HANDLE // (0x002Cu) /* Handle of RelayControlTimed service */
#define RELAY_00_INDEX                  CYBLE_RELAYCONTROLTIMED_RELAY_00_CHAR_INDEX //  (0x00u) /* Index of Relay_00 characteristic */  
#define RELAY_00_CONTROL_HANDLE         CYBLE_RELAYCONTROLTIMED_RELAY_00_CHAR_HANDLE  // (0x002Eu) /* Handle of Relay_00 characteristic */
#define RELAYTIMED_MINUTE               (0u)
#define RELAYTIMED_DURATION             (2u)
#define RELAYTIMED_INTERVAL             (4u)     
    
    
    
    
//#define CAPSENSE_CCC_HANDLE				(CYBLE_CAPSENSE_SERVICE_CAPSENSE_SLIDER_CHARACTERISTIC_CLIENT_CHARACTERISTIC_CONFIGURATION_DESC_HANDLE)

//#define CAPSENSE_SLIDER_CCC_INDEX		(CYBLE_CAPSENSE_SERVICE_CAPSENSE_SLIDER_CHARACTERISTIC_CLIENT_CHARACTERISTIC_CONFIGURATION_DESC_INDEX)
#define CCC_DATA_INDEX					(0u)

#define BLE_STATE_ADVERTISING			(0x01)
#define BLE_STATE_CONNECTED				(0x02)
#define BLE_STATE_DISCONNECTED			(0x00)

#define PASSIVE_LED_STATUS				(0xFF)

#define LED_ADV_BLINK_PERIOD			(40000)
#define LED_CONN_ON_PERIOD				(145000)

#define MTU_XCHANGE_DATA_LEN			(0x0020)


/*****************************************************************************
* Extern variables
*****************************************************************************/
extern uint8 deviceConnected;
extern uint8 ucShowAnimation;
extern volatile uint8 Use_Notifications; 
extern volatile uint8 busyStatus;     
extern bool enterHibernateFlag;

/*****************************************************************************
* Public functions
*****************************************************************************/
void CustomEventHandler(uint32 event, void * eventParam);
void StartFastAdvertising();
uint8 StartBLESleep();
void BLE_SetVersionData();
void UpdateConnectionParam(void);

#endif
/* [] END OF FILE */
