/*******************************************************************************
* File Name: wdtint.h
* Version 1.70
*
*  Description:
*   Provides the function definitions for the Interrupt Controller.
*
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this file only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this file was provided.
*******************************************************************************/
#if !defined(CY_ISR_wdtint_H)
#define CY_ISR_wdtint_H


#include <cytypes.h>
#include <cyfitter.h>

/* Interrupt Controller API. */
void wdtint_Start(void);
void wdtint_StartEx(cyisraddress address);
void wdtint_Stop(void);

CY_ISR_PROTO(wdtint_Interrupt);

void wdtint_SetVector(cyisraddress address);
cyisraddress wdtint_GetVector(void);

void wdtint_SetPriority(uint8 priority);
uint8 wdtint_GetPriority(void);

void wdtint_Enable(void);
uint8 wdtint_GetState(void);
void wdtint_Disable(void);

void wdtint_SetPending(void);
void wdtint_ClearPending(void);


/* Interrupt Controller Constants */

/* Address of the INTC.VECT[x] register that contains the Address of the wdtint ISR. */
#define wdtint_INTC_VECTOR            ((reg32 *) wdtint__INTC_VECT)

/* Address of the wdtint ISR priority. */
#define wdtint_INTC_PRIOR             ((reg32 *) wdtint__INTC_PRIOR_REG)

/* Priority of the wdtint interrupt. */
#define wdtint_INTC_PRIOR_NUMBER      wdtint__INTC_PRIOR_NUM

/* Address of the INTC.SET_EN[x] byte to bit enable wdtint interrupt. */
#define wdtint_INTC_SET_EN            ((reg32 *) wdtint__INTC_SET_EN_REG)

/* Address of the INTC.CLR_EN[x] register to bit clear the wdtint interrupt. */
#define wdtint_INTC_CLR_EN            ((reg32 *) wdtint__INTC_CLR_EN_REG)

/* Address of the INTC.SET_PD[x] register to set the wdtint interrupt state to pending. */
#define wdtint_INTC_SET_PD            ((reg32 *) wdtint__INTC_SET_PD_REG)

/* Address of the INTC.CLR_PD[x] register to clear the wdtint interrupt. */
#define wdtint_INTC_CLR_PD            ((reg32 *) wdtint__INTC_CLR_PD_REG)



#endif /* CY_ISR_wdtint_H */


/* [] END OF FILE */
